Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeLiveStory

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeLiveStory

Enclosing class:
  `TdApi`

public static class TdApi.LinkPreviewTypeLiveStory extends TdApi.LinkPreviewType
The link is a link to a live story group call.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `storyId`
  Story identifier.
  `long`
  `storyPosterChatId`
  The identifier of the chat that posted the story.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeLiveStory()`
  The link is a link to a live story group call.
  `LinkPreviewTypeLiveStory(long storyPosterChatId, int storyId)`
  The link is a link to a live story group call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### storyPosterChatId

    public long storyPosterChatId
    The identifier of the chat that posted the story.

  - ### storyId

    public int storyId
    Story identifier.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeLiveStory

    public LinkPreviewTypeLiveStory()
    The link is a link to a live story group call.

  - ### LinkPreviewTypeLiveStory

    public LinkPreviewTypeLiveStory(long storyPosterChatId, int storyId)
    The link is a link to a live story group call.
    Parameters:
      `storyPosterChatId` - The identifier of the chat that posted the story.
      `storyId` - Story identifier.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR